org.apache.lucene.analysis.hu

## Class HungarianLightStemmer

- java.lang.Object
- - org.apache.lucene.analysis.hu.HungarianLightStemmer

    public class HungarianLightStemmer
    extends Object

Light Stemmer for Hungarian.

This stemmer implements the "UniNE" algorithm in: Light Stemming Approaches for the French, Portuguese, German and Hungarian Languages Jacques Savoy

### Constructor Summary

Constructors
Constructor and Description
`HungarianLightStemmer()`

### Method Summary

Methods
`int` `stem(char[] s, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HungarianLightStemmer

    public HungarianLightStemmer()

### Method Detail

#### stem

    public int stem(char[] s,
           int len)